/*
 * Copyright SpringSource Inc 2007,2009.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.springsource.util.osgi.manifest.parse;

/**
 * A dummy implementation of {@link ParserLogger} that swallows all
 * error messages and always returns null from {@link #errorReports()}.
 * 
 * <strong>Concurrent Semantics</strong><br />
 * 
 * Thread-safe.
 *
 */
public class DummyParserLogger implements ParserLogger {
    
    /** 
     * {@inheritDoc}
     */
    public String[] errorReports() {
        return null;
    }

    /** 
     * {@inheritDoc}
     */
    public void outputErrorMsg(Exception re, String item) {        
    }
}
