/*
 * Copyright SpringSource Inc 2007,2009.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.springsource.util.osgi.manifest.parse;

/**
 * Signals a fatal exception in the parser subsystem.<p/>
 * 
 * <strong>Concurrent Semantics</strong><br/>
 * 
 * Threadsafe.
 * 
 * @author Christopher Frost
 * @since 1.0
 */
public class FatalParseException extends RuntimeException {

    private static final long serialVersionUID = -4743527883152311469L;

    /** 
     * Creates a new <code>FatalParseException</code> with the supplied error message.
     * 
     * @param message The exception's message
     */
    public FatalParseException(String message) {
        super(message);
    }

    /** 
     * Creates a new <code>FatalParseException</code> with the supplied error message and cause.
     * 
     * @param message The exception's message
     * @param cause The exception's cause
     */
    public FatalParseException(String message, Throwable cause) {
        super(message, cause);
    }

}
