/*
 * Copyright SpringSource Inc 2007,2009.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.springsource.util.osgi.manifest.parse.standard;

/**
 * HeaderTokens are lexed from some input data.
 * 
 * <strong>Concurrent Semantics</strong><br />
 * 
 * Threadsafe.
 */
public interface HeaderToken {

	public HeaderTokenKind getKind();

	public int getStartOffset();

	public int getEndOffset();

	public char[] value();

	public String stringValue();

	public boolean isExtended();

	public int getExtendedEndOffset();

	public char[] extendedValue();

	public boolean firstCharIsLetter();

	public boolean isAttributeName();

	public boolean isDirectiveName();

	boolean isSpaced();

	public boolean isAttributeOrDirectiveName();

	public boolean hasFollowingSpace();

	public char firstChar();

}
